/**
 * Created by gaoqiang on 2015/10/28.
 */
(function() {
    var requireIncidentApp = require.config({
        //baseUrl: '',
        paths: {
            //'domReady': '../../../node_modules/requirejs-domready/domReady',
            'angular': "../../../node_modules/angular/angular",
            'kendo': "../../../node_modules/kendo/LICENSE-2.0/kendo.ui.core.min",
            'jquery': "../../../node_modules/jquery/jquery-1.9.1.min",
            'angular.ui.router': "../../../node_modules/angular-ui-router/build/angular-ui-router",
            'angular.translate':"../../../node_modules/angular-translate/angular-translate",
            'angular.translate.file':"../../../node_modules/angular-translate-loader-static-files/angular-translate-loader-static-files",
            'ui.grid': "../../../node_modules/angular/ui-grid",
            'incident.app.module':"incident.app.module",
            'module.management':"incidentcommon/module.management",
            'incidentcommon.localization.module':"incidentcommon/localization/incidentcommon.localization.module",
            'incidentcommon.routeconfig.module':"incidentcommon/routeconfig/incidentcommon.routeconfig.module",
            'incidentcommon.routeresolve.module':"incidentcommon/routeresolve/incidentcommon.routeresolve.module",
            'incidentcommon.odataservice.module':"incidentcommon/odataservice/incidentcommon.odataservice.module",
            'incidentappeal.module':"incidentappeal/incidentappeal.module",
            'workspace.module':'workspace/workspace.module'
        },
        shim: {
            'angular': {
                deps: ['jquery'],
                exports: "angular"
            },
            'kendo': {
                deps: ['jquery', 'angular']
            },
            'angular.translate': {
                deps: ['angular'],
                exports: "angulartranslate"
            },
            'angular.translate.file': {
                deps: ['angular', 'angular.translate'],
                exports: "angulartranslatefile"
            },
            'angular.ui.router': {
                deps: ['angular']
                //exports: "angular.ui.router"
            },
           'ui.grid' : {
                deps: ['angular']
            }
        }
    });
    requireIncidentApp(["module.management"], function () {
        //go to app
        requireIncidentApp(['angular', 'incident.app.module'], function (angular) {

            angular.element(document).ready(function(){
                angular.bootstrap(angular.element("#incidentTest"), ['incident.app.module']);
            });
        })
    })
})()