/**
 * Created by gaoqiang on 2015/10/28.
 */
define([
    'angular',
    'kendo',
    'angular.translate',
    'angular.translate.file',
    'angular.ui.router',
    'ui.grid'
    ],function(){

   //create incidentcommon.routeconfig.module
    angular.module("incidentcommon.routeconfig.module",[]);

    //create ui.module
    angular.module("ui.module",
        [
            "ui.grid",
            'ui.grid.pinning',
            'ui.grid.resizeColumns',
            'ui.grid.saveState',
            'kendo.directives'
        ]);

    //create incidentcommon.routeresolve.module
    angular.module("incidentcommon.routeresolve.module",
        [
        'incidentcommon.routeconfig.module'
    ]);

    angular.module("incidentcommon.localization.module",
        [
        "pascalprecht.translate",
        'incidentcommon.routeconfig.module'
    ]);

    //create incidentcommon.odataservice.module
    angular.module("incidentcommon.odataservice.module",
        [
            "incidentcommon.localization.module"
    ]);

    //create workspace.module
    angular.module("workspace.module",
        [
        'incidentcommon.routeconfig.module',
        'incidentcommon.routeresolve.module',
        'ui.router'
    ]);

    //create common.module other
    angular.module("incident.appeal.module",
        [
        'incidentcommon.routeconfig.module',
        'incidentcommon.routeresolve.module',
        'incidentcommon.odataservice.module',
        'ui.router',
        'ui.module'
    ]);

    //create incident.app.module
    angular.module('incident.app.module',
        [

            'ui.router',
            'ui.module',
            'incidentcommon.localization.module',
            'workspace.module',
           'incidentcommon.odataservice.module',
            'incidentcommon.routeconfig.module',
            'incidentcommon.routeresolve.module',
            'incident.appeal.module']);
})