/**
 * Created by gaoqiang on 2015/11/4.
 */
define(['angular'],function(angular){
    var routeConfigs = {};

    routeConfigs["translate"]={};
    routeConfigs["translate"].prefix='incidentcommon/localization/i18n/';
    routeConfigs["translate"].suffix='.json';
    routeConfigs["translate"].preferredLanguage='zh-CN';


    // factoryfilter
    //ָ
    routeConfigs["workspace.top"] ={};
    routeConfigs["workspace.top"].controllerDeps ="";
    routeConfigs["workspace.top"].controller=["workspace/workspace.controller"];
    routeConfigs["workspace.top"].url ="workspace/workspace.top.html";


    routeConfigs["workspace.content"] ={};
    routeConfigs["workspace.content"].controllerDeps ='';
    routeConfigs["workspace.content"].controller=["workspace/workspace.controller"];
    routeConfigs["workspace.content"].url ="workspace/workspace.html";

    routeConfigs["workspace.left"] ={};
    routeConfigs["workspace.left"].controllerDeps ="";
    routeConfigs["workspace.left"].controller=["workspace/workspace.content.controller"];
    routeConfigs["workspace.left"].url ="workspace/workspace.content.html";

    routeConfigs["incidentappeal.incidentlist"] ={};
    routeConfigs["incidentappeal.incidentlist"].controllerDeps =
        ["incidentappeal/incidentappeal.factorys/incidentappeal.incidentlist.factory",
            "incidentcommon/odataservice/incidentcommon.odataservice.factory"];
    routeConfigs["incidentappeal.incidentlist"].controller=
        ["incidentappeal/incidentappeal.controllers/incidentappeal.incidentlist.controller",
            "incidentappeal/incidentappeal.directives/incidentappeal.incidentlist.directive"];
    routeConfigs["incidentappeal.incidentlist"].url ="incidentappeal/incidentappeal.views/incidentappeal.incidentlist.html";

    var incidentCommonRouteConfigModule = angular.module('incidentcommon.routeconfig.module');
    incidentCommonRouteConfigModule.constant('constantRouteConfig',routeConfigs);
    return incidentCommonRouteConfigModule;

})