/**
 * Created by gaoqiang on 2015/11/3.
 */
define(['angular'],
    function(angular){
        var workspaceModule= angular.module('workspace.module');
        workspaceModule.config([
            "$stateProvider",
            "$urlRouterProvider",
            "$controllerProvider",
            "$compileProvider",
            "$filterProvider",
            "$provide",
            'routeResolverProvider',
            'constantRouteConfig'
            ,function(
                $stateProvider,
                $urlRouterProvider,
                $controllerProvider,
                $compileProvider,
                $filterProvider,
                $provide,
                routeResolverProvider,
                constantRouteConfig
            ){

                var route = routeResolverProvider.route;

                $stateProvider
                    .state("workspace.incidentmanager", {
                        url:  '/incidentmanager' ,
                        views: {
                            "workspace.left":route.resolve('workspace.left')
                        }
                    });

                workspaceModule.register={
                    controller:$controllerProvider.register,
                    directive:$compileProvider.directive,
                    filter:$filterProvider.register,
                    factory:$provide.factory,
                    service:$provide.service
                };
            }]);
        return workspaceModule;
    })