/**
 * Created by gaoqiang on 2015/10/28.
 */
define([
    'angular',
    'incidentcommon.localization.module',
    'incidentcommon.routeconfig.module',
    'incidentcommon.routeresolve.module',
    'incidentcommon.odataservice.module',
    'workspace.module',
    'incidentappeal.module'
],
    function(angular)
    {
         var incidentAppModule= angular.module("incident.app.module");
        incidentAppModule.config(["$stateProvider",
            "$urlRouterProvider",
            "$controllerProvider",
            "$compileProvider",
            "$filterProvider",
            "$provide",
            'routeResolverProvider',
            'constantRouteConfig'
            ,function($stateProvider,
                      $urlRouterProvider,
                      $controllerProvider,
                      $compileProvider,
                      $filterProvider,
                      $provide,
                      routeResolverProvider,
                      constantRouteConfig
                         ){

                var route = routeResolverProvider.route;
                // ʹ ui-router滻ԭʼngRouteʽ֧ͼǶ
                $stateProvider
                    .state("workspace", {
                        url: '/workspace',
                        views: {
                            "workspace.top":route.resolve('workspace.top'),
                            "workspace.content":route.resolve('workspace.content'),
                        }
                    })
                ;
                $urlRouterProvider
                    .when('','/workspace');

                incidentAppModule.register={
                    controller:$controllerProvider.register,
                    directive:$compileProvider.directive,
                    filter:$filterProvider.register,
                    factory:$provide.factory,
                    service:$provide.service
                };
            }]);
            incidentAppModule.run(['$rootScope',function($rootScope){
                // TODO
            }]);
             return incidentAppModule;
    })