/**
 * Created by gaoqiang on 2015/11/5.
 */
define(['angular'],function(angular){
    var routeResolver = function (constantRouteConfig) {
        this.$get = function () {
            return this;
        };
        var requirefx = function(defer,controller,$rootScope){
            require( controller, function () {
                defer.resolve();
                $rootScope.$apply();
            });
        };
        /*
         *angularJS requireJS ̬ģ
         */
        this.route = function (routeConfig) {
            var resolve = function (viewName) {
                var defer, routeModule = {};
                var routeConfigs =constantRouteConfig;
                if(routeConfigs[viewName] == undefined) return;
                routeModule.templateUrl = routeConfigs[viewName].url;
                routeModule.controllerName = viewName;
                routeModule.resolve = {
                    delay: function ($q, $rootScope) {
                        defer = $q.defer();
                        if(routeConfigs[viewName].controllerDeps!='')
                        {
                            require(routeConfigs[viewName].controllerDeps,function(){
                                requirefx(defer,routeConfigs[viewName].controller,$rootScope);
                            })
                        }
                        else{
                            requirefx(defer,routeConfigs[viewName].controller,$rootScope);
                        }
                        return defer.promise;
                    }
                };
                return routeModule;
            };
            return {
                resolve: resolve
            };
        }(this.routeConfig);
    };

    var commonModule = angular.module("incidentcommon.routeresolve.module");
    commonModule.provider('routeResolver',routeResolver);
    return commonModule;
})